# PhasicFlow: src/phasicFlow/streams/streams.hpp File Reference

streams.hpp File Reference
Include dependency graph for streams.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Macros

#define | redText(text) redColor<<text<<defaultColor
#define | yellowText(text) yellowColor<<text<<defaultColor
#define | blueText(text) blueColor<<text<<defaultColor
#define | greenText(text) greenColor<<text<<defaultColor
#define | magentaText(text) magentaColor<<text<<defaultColor
#define | cyanText(text) cyanColor<<text<<defaultColor
#define | boldText(text) boldChar<<text<<defaultColor
#define | INFORMATION pFlow::output<<boldChar<<magentaColor<<"> INFO: "<<defaultColor<<magentaColor
#define | endINFO defaultColor<<pFlow::nl
#define | REPORT(n) pFlow::output.space(2*n)
#define | endREPORT pFlow::nl
#define | yWARNING pFlow::output<<boldChar<<yellowColor<<"> WARNING\n"<<defaultColor<<yellowColor<<" "
#define | endyWARNING defaultColor<<pFlow::nl
#define | ERR pFlow::output<<boldChar<<redColor<<"> ERROR\n"<<defaultColor<<redColor<<" "
#define | endERR defaultColor<<pFlow::nl

## Variables

Ostream | output
Istream | input
Ostream | errReport

## Macro Definition Documentation

## redText

#define redText | ( |  | text | ) | redColor<<text<<defaultColor

Definition at line 29 of file streams.hpp.

## yellowText

#define yellowText | ( |  | text | ) | yellowColor<<text<<defaultColor

Definition at line 30 of file streams.hpp.

## blueText

#define blueText | ( |  | text | ) | blueColor<<text<<defaultColor

Definition at line 31 of file streams.hpp.

## greenText

#define greenText | ( |  | text | ) | greenColor<<text<<defaultColor

Definition at line 32 of file streams.hpp.

## magentaText

#define magentaText | ( |  | text | ) | magentaColor<<text<<defaultColor

Definition at line 33 of file streams.hpp.

## cyanText

#define cyanText | ( |  | text | ) | cyanColor<<text<<defaultColor

Definition at line 34 of file streams.hpp.

## boldText

#define boldText | ( |  | text | ) | boldChar<<text<<defaultColor

Definition at line 35 of file streams.hpp.

## INFORMATION

#define INFORMATION pFlow::output<<boldChar<<magentaColor<<"> INFO: "<<defaultColor<<magentaColor

Definition at line 37 of file streams.hpp.

## endINFO

#define endINFO defaultColor<<pFlow::nl

Definition at line 38 of file streams.hpp.

## REPORT

#define REPORT | ( |  | n | ) | pFlow::output.space(2*n)

Definition at line 40 of file streams.hpp.

## endREPORT

#define endREPORT pFlow::nl

Definition at line 41 of file streams.hpp.

## yWARNING

#define yWARNING pFlow::output<<boldChar<<yellowColor<<"> WARNING\n"<<defaultColor<<yellowColor<<" "

Definition at line 44 of file streams.hpp.

## endyWARNING

#define endyWARNING defaultColor<<pFlow::nl

Definition at line 45 of file streams.hpp.

## ERR

#define ERR pFlow::output<<boldChar<<redColor<<"> ERROR\n"<<defaultColor<<redColor<<" "

Definition at line 47 of file streams.hpp.

## endERR

#define endERR defaultColor<<pFlow::nl

Definition at line 48 of file streams.hpp.